#
# spec file for package python-boltons
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-boltons
Version:        17.1.0
Release:        1.2
Summary:        Boltons should be builtins
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/mahmoud/boltons
Source:         https://files.pythonhosted.org/packages/source/b/boltons/boltons-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Functionality that should be in the standard library. Like
builtins, but Boltons.

Otherwise known as, "everyone's util.py," but cleaned up and
tested.

Contains over 160 BSD-licensed utility types and functions that can be
used as a package or independently. `Extensively documented on Read
the Docs: http://boltons.readthedocs.org.

%prep
%setup -q -n boltons-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sat Apr 15 2017 toddrme2178@gmail.com
- Update to 17.1.0
  * No upstream changelog
- Implement single-spec version
* Mon Mar 21 2016 toddrme2178@gmail.com
- Update t0 16.1.1
  * No upstream changelog
* Wed May 20 2015 toddrme2178@gmail.com
- Initial version
